package com.hh.lib_idcard_base.bean;

/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/7/1
 */
public class IDCardError {
    private String message;
    private long code = -1;
    private String methodName="";

    public IDCardError(long code, String message) {
        this.message = message;
        this.code = code;
    }


    public IDCardError(int code, String message, String methodName) {
        this.message = message;
        this.code = code;
        this.methodName = methodName;
    }

    public IDCardError() {
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public long getCode() {
        return code;
    }

    public void setCode(long code) {
        this.code = code;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    @Override
    public String toString() {
        return "IDCardError{" +
                "message='" + message + '\'' +
                ", code=" + code +
                ", methodName='" + methodName + '\'' +
                '}';
    }
}
